generatable

throw a useful error when generator functions arent available

generatable

Throw a verbose error when ES6 generator functions are not available This is useful mainly for command line applications

$ npm install generatable

just

require('generatable');
  

If generator functions are unavailable, it will throw an error for you.

... todo

  • Throw a real error, not just a string
  • Find a good web link on enabling harmony/generator compatibility (gnode, regenerator) that we can link as an error message

License

MIT